netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_options.c File Reference
`#include <arpa/inet.h>`
`#include <ctype.h>`
`#include <grp.h>`
`#include <netdb.h>`
`#include <netinet/in.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/param.h>`
`#include <sys/socket.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <atalk/compat.h>`
`#include <atalk/errchk.h>`
`#include <atalk/fce_api.h>`
`#include <atalk/globals.h>`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`
`#include "status.h"`
`#include "auth.h"`
`#include "dircache.h"`

## Macros
#define | LENGTH 512

## Functions
static void | show_version (void)
| Show version information about afpd.
static void | show_version_extended (void)
| Show extended version information about afpd and Netatalk.
static void | show_paths (void)
static void | show_usage (void)
void | afp_options_parse_cmdline (AFPObj *obj, int ac, char **av)

## Macro Definition Documentation

## ◆ LENGTH

#define LENGTH 512

## Function Documentation

## ◆ afp_options_parse_cmdline()

void afp_options_parse_cmdline | ( | AFPObj * | obj,
|  | int | ac,
|  | char ** | av )

## ◆ show_paths()

void show_paths | ( | void |  | ) |
| static

Display compiled-in default paths

## ◆ show_usage()

void show_usage | ( | void |  | ) |
| static

Display usage information about afpd.

## ◆ show_version()

void show_version | ( | void |  | ) |
| static

Show version information about afpd.

Used by "afpd -v".

## ◆ show_version_extended()

void show_version_extended | ( | void |  | ) |
| static

Show extended version information about afpd and Netatalk.

Used by "afpd -V".